unit untMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient,
  IdHTTP, DBXJSON;

type
  TfrmMain = class(TForm)
    edtNumero: TEdit;
    Label1: TLabel;
    btnObterRaizQuadrada: TButton;
    IdHTTP1: TIdHTTP;
    Label2: TLabel;
    lblResultado: TLabel;
    procedure btnObterRaizQuadradaClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

procedure TfrmMain.btnObterRaizQuadradaClick(Sender: TObject);
const
  strURLServidor: string =
    'http://localhost:8080/datasnap/rest/TServerMethods1/RaizQuadrada/';
var
  strValor: string;
  strResultGet: string;
  strResultFinal: string;
  jsnValue: TJSONValue;
  jsnObject: TJSONObject;
  jsnPair: TJSONPair;
  jsnArray: TJSONArray;
begin
  if edtNumero.Text <> '' then
  begin
    strValor := edtNumero.Text;
    strResultGet := IdHTTP1.Get(strURLServidor + strValor);

    jsnValue := TJSONObject.ParseJSONValue(TEncoding.ASCII.GetBytes(strResultGet), 0);
    try
      jsnObject := jsnValue as TJSONObject;
      jsnPair := jsnObject.Get(0);
      jsnArray := jsnPair.JsonValue as TJsonArray;
      strResultFinal := jsnArray.Get(0).Value;
      lblResultado.Caption := strResultFinal;
    finally
      jsnValue.Free;
    end;
  end;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  lblResultado.Caption := '';
end;

end.
