unit ServerMethodsUnit1;

interface

uses
  SysUtils, Classes, DSServer, DB, DBClient, DBXJSON;

type
{$METHODINFO ON}
  TServerMethods1 = class(TDataModule)
    ClientDataSet1: TClientDataSet;
  private
    { Private declarations }
  public
    { Public declarations }
    function EchoString(Value: string): string;
    function ReverseString(Value: string): string;
    function RetornaTabela: TJSONArray;
  end;
{$METHODINFO OFF}

implementation

{$R *.dfm}

uses StrUtils;

function TServerMethods1.EchoString(Value: string): string;
begin
  Result := Value;
end;

function TServerMethods1.ReverseString(Value: string): string;
begin
  Result := StrUtils.ReverseString(Value);
end;

function TServerMethods1.RetornaTabela: TJSONArray;
var
  arrJSON: TJSONArray;
  objJSON: TJSONObject;
  intCount: Integer;
begin
  ClientDataSet1.Open;
  arrJSON := TJSONArray.Create;
  while not ClientDataSet1.EOF do
  begin
    objJSON := TJSONObject.Create;
    for intCount := 0 to ClientDataSet1.FieldCount - 1 do
      objJSON.AddPair(TJSONPair.Create(ClientDataSet1.Fields[intCount].FieldName, ClientDataSet1.Fields[intCount].AsString));
    arrJSON.AddElement(objJSON);
    ClientDataSet1.Next;
  end;
  FreeAndNil(ClientDataSet1);
  Result := arrJSON;
end;

end.

